Skip to main content

Get Brand Resource by ID

API Description

Get information about a specific brand resource, including resource state. Supply the unique Apple-generated ID assigned to the partner’s description of a brand, and the service will return the corresponding resource.

note

Service does not return "soft" deleted resources. Refer to the Get service

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands/{brandId}
Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 90e37155-2e8a-4584-b72f-e07d54e45c92
content-type: application/json
etag: "4d891a34-ddc8-11ec-a7a0-f7f6c418993d"

Response Body

NameOutput
$.orgId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.brandDetails
REQUIRED
$.metadata[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"id": "9467895078742654921",
"createdDate": "2026-10-01T07:30:00.00Z",
"updatedDate": "2026-10-01T07:30:00.00Z",
"state": "SUBMITTED",
"etag": "4d891a34-ddc8-11ec-a7a0-f7f6c418993d",
"brandDetails": {
"partnersBrandId": "456456",
"partnersBrandVersion": "PBV01",
"countryCodes": [ "US" ],
"displayNames": [
{
"name": "Organization Brand Name",
"locale": "en",
"primary": true
},
{
"name": "Marca de la empresa",
"locale": "es",
"primary": true
}
],
"categories": [ "dining.dessert_shop.ice_cream_shop", "dining.dessert_shop.ice_cream_shop.gelato_shop", "travel_and_leisure.sports_equipment_rental.watersports_rental.boat_rental" ],
"urls": [
{
"url": "http://example.com",
"type": "HOMEPAGE"
}
],
"ownershipType": "BRAND_OWNER"
},
"metadata": []
}